﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Windows;
using NM.Data.Ent;
using Stimulsoft.Report;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void ButtonBase_OnClick(object sender, RoutedEventArgs e)
        {
            StiReport report = new StiReport();

            ICollection<MyType> masterlist = new List<MyType>();
            
            for (int i = 0; i < 45; i++)
            {
                Collection<Desc> childList = new Collection<Desc>();
                for (int j = 0; j < 15; j++)
                {
                    Desc desc = new Desc();
                    desc.ChildName = FormattableString.Invariant($"Key{j}");
                    desc.Value = FormattableString.Invariant($"{j}{i}");
                    childList.Add(desc);
                }

                MyType myType = new MyType();
                myType.MasterName = FormattableString.Invariant($"N{i}");
                myType.childlist = childList;
                masterlist.Add(myType);
            }

            Ent1 ent = new Ent1 {masterlist = masterlist};

            report.Load("ReportCrossTab.mrt");
            report.RegBusinessObject("Ent1", ent);

            report.Dictionary.SynchronizeBusinessObjects(2);
            report.DesignWithWpf();
        }
    }
}
